diff --git a/fusor-ember-cli/app/components/rhci-wizard.js b/fusor-ember-cli/app/components/rhci-wizard.js
index 926b613..4009eff 100644
--- a/fusor-ember-cli/app/components/rhci-wizard.js
+++ b/fusor-ember-cli/app/components/rhci-wizard.js
@@ -1,4 +1,5 @@
 import Ember from 'ember';
 
 export default Ember.Component.extend({
+  classNames: ['col-md-12', 'page-header', 'page-header-rhci']
 });
diff --git a/server/app/models/fusor/deployment.rb b/server/app/models/fusor/deployment.rb
index 2374aa4..1b0d698 100644
--- a/server/app/models/fusor/deployment.rb
+++ b/server/app/models/fusor/deployment.rb
@@ -12,7 +12,9 @@
 
 module Fusor
   class Deployment < ActiveRecord::Base
-    validates_with Fusor::Validators::DeploymentValidator
+    # can't use simple validates_with, need to save empty object and validate
+    # before deploy
+    #validates_with Fusor::Validators::DeploymentValidator
     belongs_to :organization
     belongs_to :lifecycle_environment, :class_name => "Katello::KTEnvironment"
 
